A-Blog未明跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111822 漏洞类型 跨站脚本
发布时间 2006-12-22 更新时间 2006-12-26
CVE编号 CVE-2006-6729 CNNVD-ID CNNVD-200612-516
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/29306
https://www.securityfocus.com/bid/82162
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200612-516
|漏洞详情
a-blog1.51及更早版本存在跨站脚本攻击(XSS)漏洞,远程攻击者可以借助未明向量注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/21716/info

The 'a-blog' application is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Version 2.1.c is vulnerable to this issue; other versions may also be affected.

http://www.example.com/calendar/export_handler.php?format=<body+onload=alert(1111)>&id=200 http://www.example.com/calendar/export_handler.php?format=<img+src=http://www.example2.com/img/logo.gif+onload=alert(1111)>&id=200
|受影响的产品
A-Blog A-Blog 1.51
|参考资料

来源:VUPEN
名称:ADV-2006-5129
链接:http://www.frsirt.com/english/advisories/2006/5129
来源:www.a-blog.jp
链接:http://www.a-blog.jp/news/index.php
来源:SECUNIA
名称:23444
链接:http://secunia.com/advisories/23444
来源:JVN
名称:JVN#78520316
链接:http://jvn.jp/jp/JVN%2378520316/index.html
来源:XF
名称:ablog-unspecified-xss(31038)
链接:http://xforce.iss.net/xforce/xfdb/31038
来源:BID
名称:21716
链接:http://www.securityfocus.com/bid/21716
来源:OSVDB
名称:32402
链接:http://www.osvdb.org/32402